// packageG/mycomponent/fight_group.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    list: {
      type: null,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    language: "",
  },

  lifetimes: {
    attached() {
      let language = wx.getStorageSync("langIndex");
      this.setData({ language: language.en });
    },
  },
  /**
   * 组件的方法列表
   */
  methods: {
    goGroup(e) {
      let id = e.target.dataset.id || e.currentTarget.dataset.id;
      let store_id = e.target.dataset.store_id || e.currentTarget.dataset.store_id;
      console.log(e, id, "参数");

      if (store_id) {
        wx.navigateTo({
          url: "/packageA/detail_v2/detail_v2?id=" + id + "/" + store_id + "&name=group",
        });
      } else {
        wx.navigateTo({
          url: "/packageA/detail_v2/detail_v2?id=" + id + "&name=group",
        });
      }
    },
  },
});
